API Reference
get product answers
Read the existing product's positioning, audience, and competitors. Cache policy: live.
Read the existing product's positioning, audience, and competitors. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
AuthorizationBearer <token>
Rankhog organization API key sent as Authorization: Bearer rhog_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/v1/growth/get-product-answers" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "org_demo", "websiteId": "site_demo" }'{ "answers": [], "competitors": []}{ "error": { "code": "agentic_invalid_input", "message": "Invalid capability input." }}{ "error": { "code": "agentic_unauthorized", "message": "Authentication is required." }}{ "error": { "code": "agentic_missing_scope", "message": "The required permission has not been granted." }}{ "error": { "code": "agentic_website_not_found", "message": "Product not found." }}